Bug 1018938 - Remove rhq-storage-installer.sh|bat from bin/ directory
Summary: Remove rhq-storage-installer.sh|bat from bin/ directory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Launch Scripts
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER03
: JON 3.3.0
Assignee: Stefan Negrea
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-14 18:17 UTC by Deon Ballard
Modified: 2014-12-11 14:04 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:04:47 UTC


Attachments (Terms of Use)

Description Deon Ballard 2013-10-14 18:17:19 UTC
The current JON bin/ directory has....

rhq-storage.bat
rhq-storage-installer.bat
rhq-storage-installer.sh
rhq-storage.properties

Trying to run any of the scripts returns....

[root@hp-dl380pgen8-02-vm-2 bin]# ./rhq-storage-installer.sh --help
This script is obsolete and no longer used.  Use rhqctl instead.

However, those scripts never existed in JON 3.1.x, so it is confusing to have them in the directory. For productization, it would be nice if those scripts were removed.

Comment 1 Simeon Pinder 2013-11-08 14:41:21 UTC
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.

Comment 4 Stefan Negrea 2014-09-04 23:14:01 UTC
release/jon3.3.x commit:

commit 3ebee8a2a7f36f573432b86412efa3d22f61b560
Author: Stefan Negrea <snegrea@redhat.com>
Date:   Tue Sep 2 16:50:13 2014 -0500

    [BZ 1018938] Removing superfluous server bin files. These files are just placeholders but they are not needed sin
    (cherry picked from commit afcd2e0d9d72ac53b175fccb7c3e66111f35b932)
    
    Signed-off-by: John Mazzitelli <mazz@redhat.com>

Comment 5 Stefan Negrea 2014-09-04 23:15:04 UTC
The following three files have been removed from the bin folder:
rhq-storage.bat
rhq-storage-installer.bat
rhq-storage-installer.sh


The following file is still needed and was kept:
rhq-storage.properties

Comment 6 Simeon Pinder 2014-09-17 02:49:16 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 7 Sunil Kondkar 2014-09-18 05:33:24 UTC
Verified on version : 3.3.0.ER03 build Number :4aefe39:44e33a4


Note You need to log in before you can comment on or make changes to this bug.